--- old/usr/src/uts/common/crypto/io/rsa.c	Thu Jul 11 01:29:52 2013
+++ new/usr/src/uts/common/crypto/io/rsa.c	Thu Jul 11 01:29:52 2013
@@ -315,13 +315,9 @@
     crypto_data_t *, crypto_data_t *);
 static int compare_data(crypto_data_t *, uchar_t *);
 
-/* EXPORT DELETE START */
-
 static int core_rsa_encrypt(crypto_key_t *, uchar_t *, int, uchar_t *, int);
 static int core_rsa_decrypt(crypto_key_t *, uchar_t *, int, uchar_t *);
 
-/* EXPORT DELETE END */
-
 static crypto_kcf_provider_handle_t rsa_prov_handle = NULL;
 
 int
@@ -373,8 +369,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	uchar_t *modulus;
 	ssize_t modulus_len; /* In bytes */
 
@@ -397,8 +391,6 @@
 	    modulus_len > MAX_RSA_KEYLENGTH_IN_BYTES)
 		return (CRYPTO_KEY_SIZE_RANGE);
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -598,8 +590,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	int plen;
 	uchar_t *ptptr;
 	uchar_t *modulus;
@@ -656,13 +646,9 @@
 		ciphertext->cd_length = modulus_len;
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
-/* EXPORT DELETE START */
-
 static int
 core_rsa_encrypt(crypto_key_t *key, uchar_t *in,
     int in_len, uchar_t *out, int is_public)
@@ -704,8 +690,6 @@
 	return (rv);
 }
 
-/* EXPORT DELETE END */
-
 /* ARGSUSED */
 static int
 rsaprov_decrypt(crypto_ctx_t *ctx, crypto_data_t *ciphertext,
@@ -752,8 +736,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	size_t plain_len;
 	uchar_t *ctptr;
 	uchar_t *modulus;
@@ -802,13 +784,9 @@
 		plaintext->cd_length = plain_len;
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
-/* EXPORT DELETE START */
-
 static int
 core_rsa_decrypt(crypto_key_t *key, uchar_t *in, int in_len, uchar_t *out)
 {
@@ -863,8 +841,6 @@
 	return (rv);
 }
 
-/* EXPORT DELETE END */
-
 /* ARGSUSED */
 static int
 rsa_sign_verify_common_init(crypto_ctx_t *ctx, crypto_mechanism_t *mechanism,
@@ -961,8 +937,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	uchar_t digest[SHA512_DIGEST_LENGTH];
 	/* The der_data size is enough for MD5 also */
 	uchar_t der_data[SHA512_DIGEST_LENGTH + SHA2_DER_PREFIX_Len];
@@ -1068,8 +1042,6 @@
 		rv = rsa_verify_common(mech_type, ctxp->key, &der_cd,
 		    signature);
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -1079,8 +1051,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	int dlen;
 	uchar_t *dataptr, *modulus;
 	ssize_t modulus_len;
@@ -1149,8 +1119,6 @@
 		signature->cd_length = modulus_len;
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -1297,8 +1265,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	uchar_t *sigptr, *modulus;
 	ssize_t modulus_len;
 	uchar_t plain_data[MAX_RSA_KEYLENGTH_IN_BYTES];
@@ -1346,8 +1312,6 @@
 			rv = CRYPTO_SIGNATURE_INVALID;
 	}
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
@@ -1503,8 +1467,6 @@
 {
 	int rv = CRYPTO_FAILED;
 
-/* EXPORT DELETE START */
-
 	size_t data_len;
 	uchar_t *sigptr, *modulus;
 	ssize_t modulus_len;
@@ -1551,8 +1513,6 @@
 		return (rv);
 	data->cd_length = data_len;
 
-/* EXPORT DELETE END */
-
 	return (rv);
 }
 
